Subject: I-D Action: draft-kapoor-rtgwg-dynamic-multipath-routing-01.txt

From: [email-masked]
Date: Tue, 12 Sep 2017 16:12:25 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Dynamic MultiPath Routing
        Authors         : Fabrizio Devetak
                          Sanjiv Kapoor
	Filename        : draft-kapoor-rtgwg-dynamic-multipath-routing-01.txt
	Pages           : 10
	Date            : 2017-09-12

Abstract:
   In this draft we consider dynamic multipath routing and introduce two
   methods that use additive increase and multiplicative decrease for
   flow control, similar to TCP.  Our first method allows for congestion
   control and re-routing flows as users join in or leave the network.
   As the number of applications and services supported by the Internet
   grows, bandwidth requirements increase dramatically so it is
   imperative to design methods to ensure not only that network
   throughput is maximized but also to ensure a level of fairness in
   network resource allocation.  Our second method provides fairness
   over multiple streams of traffic.  We drive the multiplicative
   decrease part of the algorithm with link queue occupancy data
   provided by an enhanced routing protocol.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-kapoor-rtgwg-dynamic-multipath-routing/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-kapoor-rtgwg-dynamic-multipath-routing-01
https://datatracker.ietf.org/doc/html/draft-kapoor-rtgwg-dynamic-multipath-routing-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-kapoor-rtgwg-dynamic-multipath-routing-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/